<?
$page_number_code = 6000;
include "admin_header.php";
check_permit("","9,10,11"," ϴ.","admin_login.php?".get_qstring());


// ------------------------------------------------------------------
// ó 
// ------------------------------------------------------------------
$yyyy = (isset($_GET["yyyy"]))? $_GET["yyyy"] : Date("Y");
$mm = (isset($_GET["mm"]))? $_GET["mm"] : Date("m");
if(!$yyyy) $mm = "";

$min_year = 2001;
$options_year = options_search_year($yyyy, $min_year, Date("Y"));
$options_month = options_search_month($mm);


// -- ⵵  -- //
if(!$yyyy){
	$year_list = array();
	for($i=$min_year; $i<=Date("Y"); $i++)
	{
		$year_list[$i]["year"] = $i;
		$year_list[$i]["away_mark"] = "";
		$year_list[$i]["join_mark"] = "";
	}
	
	// -- Żȸ -- //
	$query = "
		select count(uid) as cnt, YEAR(FROM_UNIXTIME(modify_date)) as year 
		from morning_member_table 
		where member_class=1
		group by YEAR(FROM_UNIXTIME(modify_date))";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["year"]*1;
		if($i>Date("Y") || $i<$min_year){
			$i = 0;
			$year_list[$i]["year"] = $min_year." ";
		}
		$year_list[$i]["away_cnt"] = $item["cnt"];
		if($item["cnt"]) $year_list[$i]["away_mark"] = $item["cnt"]; 
	}

	// -- ȸ -- //
	$query = "
		select count(uid) as cnt, YEAR(FROM_UNIXTIME(register_date)) as year
		from morning_member_table 
		where member_class>1
		group by YEAR(FROM_UNIXTIME(register_date))";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["year"]*1;
		if($i>Date("Y") || $i<$min_year){
			$i = 0;
			$year_list[$i]["year"] = $min_year." ";
		}
		$year_list[$i]["join_cnt"] = $item["cnt"];
		if($item["cnt"]) $year_list[$i]["join_mark"] = $item["cnt"]; 
	}
}


// --   -- //
if($yyyy){
	$sdate = mktime(0,0,0,1,1,$yyyy);
	$edate = mktime(0,0,0,1,1,$yyyy+1)-1;
	
	$month_list = array();
	for($i=1; $i<=12; $i++)
	{
		$month_list[$i]["month"] = $i;
		$month_list[$i]["away_mark"] = "";
		$month_list[$i]["join_mark"] = "";
	}
	
	// -- Żȸ -- //
	$query = "
		select count(uid) as cnt, MONTH(FROM_UNIXTIME(modify_date)) as month 
		from morning_member_table 
		where member_class=1 and modify_date between $sdate and $edate 
		group by MONTH(FROM_UNIXTIME(modify_date))";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["month"]*1;
		$month_list[$i]["away_cnt"] = $item["cnt"];
		if($item["cnt"]) $month_list[$i]["away_mark"] = $item["cnt"]; 
	}

	// -- ȸ -- //
	$query = "
		select count(uid) as cnt, MONTH(FROM_UNIXTIME(register_date)) as month 
		from morning_member_table 
		where member_class>1 and register_date between $sdate and $edate 
		group by MONTH(FROM_UNIXTIME(register_date))";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["month"]*1;
		$month_list[$i]["join_cnt"] = $item["cnt"];
		if($item["cnt"]) $month_list[$i]["join_mark"] = $item["cnt"]; 
	}
}


// -- Ϻ  -- //
if($mm){
	$emm = $mm+1;
	$eyyyy = $yyyy;
	if($emm==13){
		$emm = 1;
		$eyyyy = $yyyy+1;
	}
	$sdate = mktime(0,0,0,$mm, 1, $yyyy);
	$edate = mktime(0,0,0,$emm, 1, $eyyyy)-1;


	$endday = Date("t", mktime(0,0,0,$mm, 1, $yyyy));
	$day_list = array();
	for($i=1; $i<=$endday; $i++)
	{
		$day_list[$i]["day"] = $i;
		$mkt = mktime(0,0,0,$mm,$i,$yyyy);
		$week = Date("w", $mkt);
		$day_list[$i]["weekstr"] = get_weekstr($week);
		$day_list[$i]["color"] = "black";
		if($week==0) $day_list[$i]["color"] = "red";
		if($week==6) $day_list[$i]["color"] = "deepskyblue";
		$day_list[$i]["away_mark"] = "";
		$day_list[$i]["join_mark"] = "";
	}

	// -- Żȸ -- //
	$query = "
		select count(uid) as cnt, DATE_FORMAT(FROM_UNIXTIME(modify_date), '%e') as day 
		from morning_member_table 
		where member_class=1 and modify_date between $sdate and $edate 
		group by DATE_FORMAT(FROM_UNIXTIME(modify_date), '%e')";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["day"]*1;
		$day_list[$i]["away_cnt"] = $item["cnt"];
		if($item["cnt"]) $day_list[$i]["away_mark"] = $item["cnt"]; 
	}

	// -- ȸ -- //
	$query = "
		select count(uid) as cnt, DATE_FORMAT(FROM_UNIXTIME(register_date), '%e') as day 
		from morning_member_table 
		where member_class>1 and register_date between $sdate and $edate 
		group by DATE_FORMAT(FROM_UNIXTIME(register_date), '%e')";
	$result = morning_query_error($query);
	while($item = morning_fetch_array($result))
	{
		$i = $item["day"]*1;
		$day_list[$i]["join_cnt"] = $item["cnt"];
		if($item["cnt"]) $day_list[$i]["join_mark"] = $item["cnt"]; 
	}

}

// ------------------------------------------------------------------
// ó 
// ------------------------------------------------------------------

?>

			<style>
			#log_table {border:1px solid #dddddd;border-top:2px solid #3F8EA9;border-collapse:collapse;background-color:#ffffff;width:100%}
			#log_table th, #log_table td{border:1px solid #dddddd;padding:6px;text-align:center;letter-spacing:0px}
			#log_table th{background-color:#F0F0F0}
			#log_table td{letter-spacing:0px}
			#log_table .tb_1{width:50px}
			</style>

<div class="tb_list_title b">ȸ&Ż</div>
<div class="tb_list_wrap">


                  <table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:5px">
                    <tr> 
                      <td align="left" class=dod8> ¥ : <?=$g_now_date?> </td>
                      <td align="right"> 
							<form method="get" onsubmit="return false">
							<select name="yyyy" onchange="this.form.submit()"><?=$options_year;?></select>
							<select name="mm" onchange="this.form.submit()"><?=$options_month;?></select>
							</form>
                      </td>
                    </tr>
                    <tr> 
                      <td height="5"></td>
                      <td height="5"></td>
                    </tr>
                  </table>




						<!-- ⵵  :  -->
						<? if(!$yyyy){ ?>
						<div class="stat">
							<div class="n" style="font-weight:bolder;padding-bottom:3px;text-align:left">⵵ </div>
							<table border="1px" bordercolor="lightgrey" frame="border" rules="all" id="log_table">
							<tr>
								<th class="tb_1"></th>
								<th class="tb_2">Լ</th>
								<th class="tb_3">Ż</th>
							</tr>
							<? foreach($year_list as $item){ ?>
							<tr>
								<td class="tb_1"><?=$item["year"];?></td>
								<td class="tb_2"><?=$item["join_mark"];?></td>
								<td class="tb_3"><?=$item["away_mark"];?></td>
							</tr>
							<? } ?>
							</table>
						</div>
						<? } ?>
						<!-- ⵵  :  -->





						
						
						<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
						  <tr>
						    <td width="50%" valign=top style="padding-right:10px">
									<!--   :  -->
									<? if($yyyy){ ?>
									<div class="stat">
										<div class="n" style="font-weight:bolder;padding-bottom:3px">
												
												<table border="0" cellspacing="0" cellpadding="0" >
												  <tr>
												    <td><?=$yyyy;?>  </td>
													<td style='padding-left:4px'><div class="bt_type"><a href="admin_log_join.php?yyyy=&mm=" class="bt_type2_w_4" >ü</a></div></td>
												  </tr>
												</table>
										</div>
										<table border="1px" bordercolor="lightgrey" frame="border" rules="all" id="log_table">
										<tr>
											<th class="tb_1"></th>
											<th class="tb_2">Լ</th>
											<th class="tb_3">Ż</th>
										</tr>
										<? foreach($month_list as $item){ ?>
										<tr>
											<td class="tb_1"><?=$item["month"];?></td>
											<td class="tb_2"><?=$item["join_mark"];?></td>
											<td class="tb_3"><?=$item["away_mark"];?></td>
										</tr>
										<? } ?>
										</table>
									</div>
									<? } ?>
									<!--   :  -->
							</td>
							<td valign=top>
									<!-- Ϻ  :  -->
									<? if($mm){ ?>
									<div class="stat">
										<div class="n" style="font-weight:bolder;padding-bottom:3px"><?=$yyyy." ".$mm." Ϻ ";?></div>
										<table border="1px" bordercolor="lightgrey" frame="border" rules="all" id="log_table">
										<tr>
											<th class="tb_1"></th>
											<th class="tb_2">Լ</th>
											<th class="tb_3">Ż</th>
										</tr>
										<? foreach($day_list as $item){ ?>
										<tr>
											<td class="tb_1" style="color:<?=$item["color"];?>"><?=$item["day"];?> (<?=$item["weekstr"];?>)</td>
											<td class="tb_2"><?=$item["join_mark"];?></td>
											<td class="tb_3"><?=$item["away_mark"];?></td>
										</tr>
										<? } ?>
										</table>
									</div>
									<? } ?>
									<!-- Ϻ  :  -->
							</td>
						  </tr>
						</table>
						

</div>

<?
include "admin_bottom.php";
?>
